%define Werror_cflags %nil

Name:		inkscape
Summary:	A vector-based drawing program using SVG
Version:	0.48.4
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphics
URL:		http://inkscape.sourceforge.net/
Source:		http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
BuildRequires:	png-devel
BuildRequires:	libxml2-devel >= 2.6.0
BuildRequires:	libgc-devel >= 6.4
BuildRequires:	gtkmm2.4-devel
BuildRequires:	libxslt-devel >= 1.0.15
BuildRequires:	libgnomeprintui-devel
BuildRequires:	perl-XML-Parser
BuildRequires:	gtkspell-devel
BuildRequires:	gnome-vfs2-devel
BuildRequires:	python-devel
BuildRequires:	perl
BuildRequires:	perl-devel
BuildRequires:	loudmouth-devel
BuildRequires:	expat-devel
BuildRequires:	desktop-file-utils
BuildRequires:	lcms-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	autoconf2.5 automake
BuildRequires:	intltool
BuildRequires:	boost-devel
BuildRequires:	pkgconfig(poppler-glib)
BuildRequires:	cairo-devel
BuildRequires:	libwpg-devel
BuildRequires:	popt-devel
BuildRequires:	imagemagick-devel
BuildRequires:	gsl-devel
Requires:	python-pyxml
Requires:	python-lxml
Suggests:	uniconvertor

%description
Inkscape is a generic SVG-based vector-drawing program.

Inkscape uses the W3C SVG (= "Scalable Vector Graphics") standard as its
native file format. Therefore, it is a very useful tool for web designers
and can be used as an interchange format for desktop publishing.

%prep
%setup -q

%build
%configure2_5x \
	--with-python \
	--with-perl
%make

%install
%makeinstall_std

desktop-file-install --vendor="" \
  --add-category="X-MandrivaLinux-CrossDesktop" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/inkscape
%{_mandir}/man1/*
%{_mandir}/*/man1/*
%{_iconsdir}/hicolor/*/apps/*


%changelog

* Thu Jan 10 2013 luigiwalser <luigiwalser> 0.48.4-1.mga2
+ Revision: 344811
- 0.48.4 (fixes CVE-2012-5656)

  + fwang <fwang>
    - new version 0.48.3.1

* Thu Feb 16 2012 fwang <fwang> 0.48.3-1.mga2
+ Revision: 209449
- new version 0.48.3

* Sun Feb 05 2012 doktor5000 <doktor5000> 0.48.2-6.mga2
+ Revision: 204729
- added Suggests on uniconvertor (mga#3545)

* Fri Oct 28 2011 fwang <fwang> 0.48.2-5.mga2
+ Revision: 159057
- more revert
- revert some changes
- more fix
- more patch
- more patch
- revert some changes
- include glib.h only
- only include glib header
- rebuild for new poppler

* Tue Sep 27 2011 ovitters <ovitters> 0.48.2-4.mga2
+ Revision: 149383
- rebuild for new poppler

* Tue Sep 13 2011 fwang <fwang> 0.48.2-3.mga2
+ Revision: 142817
- rebuild for new imagemagick

* Mon Sep 12 2011 fwang <fwang> 0.48.2-2.mga2
+ Revision: 142637
- fix build with libpng15
- rebuild for new libpng

  + ahmad <ahmad>
    - Change libpoppler-*-devel BR to pkgconfig style

* Sat Jul 09 2011 fwang <fwang> 0.48.2-1.mga2
+ Revision: 121078
- new version 0.48.2

* Sun Mar 27 2011 ahmad <ahmad> 0.48.1-2.mga1
+ Revision: 78072
- rebuild for new poppler

* Thu Feb 10 2011 dmorgan <dmorgan> 0.48.1-1.mga1
+ Revision: 49759
- Remove mdv macros
- imported package inkscape

